services:
  api:
    build: ./app/api
    ports: ["3000:3000"]
  nginx:
    image: nginx:alpine
    volumes:
      - ./app/visualizer:/usr/share/nginx/html:ro
      - ./configs/nginx/spectra.conf:/etc/nginx/conf.d/spectra.conf:ro
      - ./scripts/certs/out:/etc/letsencrypt/live/EXAMPLE:ro
    ports: ["8080:80"]
    depends_on: [api]
